## python-llm 0.19~a1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = sqlite-utils
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild -b html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(0)

=== docs/requirements.txt ===
sphinx==7.2.6
furo==2023.9.10
sphinx-autobuild
sphinx-copybutton
myst-parser
cogapp

=== debian/changelog ===
python-llm (0.19~a1-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends on python3-puremagic, now required by upstream.
  * Update debian/patches/0001-remove-badges.patch.
  * Add python3-pytest-asyncio to Build-Depends and test Depends.
  * Update debian/watch to handle alpha/beta releases.

 -- Edward Betts <edward@4angle.com>  Wed, 20 Nov 2024 22:36:16 +0000

python-llm (0.13.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1087566)

 -- Edward Betts <edward@4angle.com>  Fri, 15 Nov 2024 12:02:29 +0100

=== debian/control ===
Source: python-llm
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 furo <!nodoc>,
 python3-click-default-group <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-numpy <!nocheck>,
 python3-openai <!nocheck>,
 python3-pluggy <!nocheck>,
 python3-puremagic <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-httpx <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sqlite-migrate <!nocheck>,
 python3-ulid <!nocheck>,
 sqlite-utils <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/simonw/llm
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-llm
Vcs-Git: https://salsa.debian.org/python-team/packages/python-llm.git

Package: python3-llm
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: CLI utility and library for interacting with Large Language Models
 Tool for engaging with Large Language Models via both remote APIs and
 locally-hosted models. This tool allows users to run text prompts from the
 command line and store output in databases like SQLite. It also supports
 generating embeddings from text input. Users can interact with models such as
 those from OpenAI and other providers through plugins, enabling both remote
 and local deployment of various AI models. This makes it possible to run
 advanced language processing tasks on personal devices. Additionally, the
 tool interfaces with a wide array of language models, offering flexibility
 in its applications across numerous machine learning tasks.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=llm
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k "not test_uses_correct_key and not test_template_basic"
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf llm.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-numpy,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-httpx,
 @,

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~~/;s/([0-9])([ab][0-9]*)/$1~$2/g \
  https://github.com/simonw/llm/tags .*/v?(\d\S+)\.tar\.gz
